Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.render.velocity
Class InfobitTemplateLoader

    java.lang.Object
      |
      +--org.apache.velocity.runtime.resource.loader.ResourceLoader
            |
            +--com.infodesire.infobit.render.velocity.InfobitTemplateLoader

public class InfobitTemplateLoader
extends org.apache.velocity.runtime.resource.loader.ResourceLoader

infobit resource loader. loads version by infobit name. delegates back to infobit renderer for recursive rendering.

Version:
  $Revision: 1.3 $
Author:
  konstantin

Field Summary

Fields inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader
`className, isCachingOn, modificationCheckInterval, rsvc`

Constructor Summary
`InfobitTemplateLoader()`

Method Summary
`long` | `getLastModified(org.apache.velocity.runtime.resource.Resource resource)`
`java.io.InputStream` | `getResourceStream(java.lang.String name)` Get an InputStream so that the Runtime can build a template with it.
`void` | `init(org.apache.commons.collections.ExtendedProperties configuration)` initialize loader
`boolean` | `isSourceModified(org.apache.velocity.runtime.resource.Resource resource)`

Methods inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader
`commonInit, getClassName, getModificationCheckInterval, isCachingOn, setCachingOn, setModificationCheckInterval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfobitTemplateLoader

    public InfobitTemplateLoader()

Method Detail

### getResourceStream

    public java.io.InputStream getResourceStream(java.lang.String name)
                                          throws org.apache.velocity.exception.ResourceNotFoundException

  Get an InputStream so that the Runtime can build a template with it.

  Specified by:
    `getResourceStream` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`
  Parameters:
    `name` - name of template to get
  Returns:
    InputStream containing the template
  Throws:
    `org.apache.velocity.exception.ResourceNotFoundException` - if template not found in classpath.

### isSourceModified

    public boolean isSourceModified(org.apache.velocity.runtime.resource.Resource resource)

  Specified by:
    `isSourceModified` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`
  Parameters:
    `resource` - Description of Parameter
  Returns:
    The SourceModified value

### getLastModified

    public long getLastModified(org.apache.velocity.runtime.resource.Resource resource)

  Specified by:
    `getLastModified` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`
  Parameters:
    `resource` - Description of Parameter
  Returns:
    The LastModified value

### init

    public void init(org.apache.commons.collections.ExtendedProperties configuration)

  initialize loader

  Specified by:
    `init` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`
  Parameters:
    `configuration` - Description of Parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.